# Version SVN: $Id: stPaymentPlugin_schema.custom.yml 120 2015-07-24 01:16:43Z sven.poeche $
propel:
  payment_subscription:
    lsid:                     { type: integer, size:  11, required: false, default: null, after: chid }
    _foreignKeys: 
      ps_fk_lsid:             { foreignTable: livestream, references: [ {local: lsid, foreign: lsid} ] }
    _indexes: 
      ps_i_lsid:              [lsid]

  payment_ordered_subscription:
    lsid:                     { type: integer, size:  11, required: false, default: null, after: chid }
    _foreignKeys: 
      pos_fk_lsid:            { foreignTable: livestream, references: [ {local: lsid, foreign: lsid} ] }
    _indexes: 
      pos_i_lsid:             [lsid]

  payment_accounting:
    lsid:                     { type: integer, size:  11, required: false, default: null, after: chid }
    _foreignKeys: 
      pa_fk_lsid:             { foreignTable: livestream, references: [ {local: lsid, foreign: lsid} ] }
    _indexes:
      pa_i_lsid:              [lsid]
